<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
    protected function _initDoctrine() {
        try
        {
            require_once 'Doctrine/Doctrine.php';
            $this->getApplication()
                    ->getAutoloader()
                    ->pushAutoloader(array('Doctrine', 'autoload'), 'Doctrine');
            $manager = Doctrine_Manager::getInstance();
            $manager->setCharset("UTF8");
            $manager->setCollate("utf8_general_ci");

            $config = $this->getOption('doctrine');
            $conn = Doctrine_Manager::connection($config['dsn'], 'doctrine');
            $conn->setCharset("UTF8");
            $conn->setCollate("utf8_general_ci");

            return $conn;
        }catch(Doctrine_Connection_Exception $de)
        {
            return NULL;
        }
    }
    
    /**
    * @return Zend_Navigation
    */
   protected function _initNavigation()  {
     $view = $this->bootstrap('layout')->getResource('layout')->getView();
     $config = new Zend_Config_Xml(APPLICATION_PATH . '/configs/navigation/admin.xml', 'nav');
     $view->navigation(new Zend_Navigation($config));
     
     return $view;
   }
   
   protected function _initHelpers() {
        Zend_Controller_Action_HelperBroker::addPath(APPLICATION_PATH.
                "/modules/default/controllers/helpers");
        
        Zend_Controller_Action_HelperBroker::addPath(APPLICATION_PATH.
                "/modules/admin/controllers/helpers");
		Zend_Controller_Action_HelperBroker::addPath(APPLICATION_PATH.
                "/modules/front/controllers/helpers");
    }
}
